org.eclipse.aether.collection

## Class UnsolvableVersionConflictException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.aether.RepositoryException
      - - org.eclipse.aether.collection.UnsolvableVersionConflictException

- All Implemented Interfaces:
    Serializable

      public class UnsolvableVersionConflictException
      extends RepositoryException

  Thrown in case of an unsolvable conflict between different version constraints for a dependency.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnsolvableVersionConflictException(Collection<List<DependencyNode>> paths, Object dependencyConflictId)`
    `UnsolvableVersionConflictException(Object dependencyConflictId, Collection<String> versions)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getDependencyConflictId()` Gets the conflict id of the dependency that encountered the version conflict.
    `Collection<List<DependencyNode>>` | `getPaths()` Gets the paths leading to the conflicting dependencies.
    `Collection<String>` | `getVersions()` Gets the conflicting version constraints of the dependency.

    - ### Methods inherited from class org.eclipse.aether.RepositoryException

      `getMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnsolvableVersionConflictException

          public UnsolvableVersionConflictException(Object dependencyConflictId,
                                            Collection<String> versions)

    - #### UnsolvableVersionConflictException

          public UnsolvableVersionConflictException(Collection<List<DependencyNode>> paths,
                                            Object dependencyConflictId)

  - ### Method Detail

    - #### getDependencyConflictId

          public Object getDependencyConflictId()

      Gets the conflict id of the dependency that encountered the version conflict.
      Returns:
        The conflict id, never `null`.

    - #### getPaths

          public Collection<List<DependencyNode>> getPaths()

      Gets the paths leading to the conflicting dependencies.
      Returns:
        The (read-only) paths leading to the conflicting dependencies, never `null`.

    - #### getVersions

          public Collection<String> getVersions()

      Gets the conflicting version constraints of the dependency.
      Returns:
        The (read-only) conflicting version constraints, never `null`.

Copyright © 2010-2012 The Eclipse Foundation. All Rights Reserved.